# Copyright (C) 1999, 2000 Jay Beale
# Licensed under the GNU General Public License

package Bastille::PrepareToRun;

use Bastille::IO;
@ENV="";
$ENV{PATH}="";

# Clean up the environment so that we can run in Taint mode
# "D Johnson"'s idea with Don Wilder's fixes

@ENV="";
$ENV{PATH}="/sbin";
$ENV{CDPATH}=".";
$ENV{BASH_ENV}="";

# Change from 1.0.2 -- get version dynamically from run-Bastille/VERSION.
&B_open(VERSION,"VERSION");
$VERSION = <VERSION>;
&B_close(VERSION);
# $VERSION="1.0.1";

# Banner
print <<BASTILLEBANNER;

============================================================================
                        Bastille Hardening Program
			         v$VERSION
				 
  This program should be run immediately after, and only immediately after,
  new installation of RedHat 6.0 or 6.1.
  
  Please read the README file.
  
  This program is Copyright (C) 1999 Jay Beale and is licensed under the 
  GNU General Public License.  Read more about this in the file COPYING.
  
============================================================================
BASTILLEBANNER

# Make sure we're in single user mode
open RUNLEVEL,"/sbin/runlevel |" or die "Couldn't determine runlevel to check single user mode!";
$levelline=<RUNLEVEL>;
close RUNLEVEL;
die "This script must be run in single user mode!\n\nType  init 1  at the unix prompt to switch to single user mode." unless ($levelline =~ /1 S/);

# Check to see we're in run-Bastille
#$currDir = `pwd`;
#chop($currDir);
#if ( $currDir ne '/root/run-Bastille' ) {
#     die "This script requires that your current directory be
#\"/root/run-Bastille\"; you are currently in \"$currDir\". Please change
#directories and run Bastille again. (You may have unpacked the distribution
#in the wrong directory.)\n";
#}

# Make sure at least one of the required files is here
if (! open(F,"<firewall_ipchains.txt") ) {
    die "It seems that some required files are missing. Please unpack the
Bastille distribution again and try again.\nTry \n   tar -xvpPf Bastille.tar\n";
}
close F;




# Start the logging up, using the subroutine from Bastille::IO

&StartLogging;

# Start networking, so we can later download rpms...

print "\n\nWe're starting networking...\n";
&ActionLog("# Starting networking\n");

`/etc/rc.d/init.d/pcmcia start`;
`/etc/rc.d/init.d/network start`;
&ActionLog("`/etc/rc.d/init.d/network start`\n");


1;

